<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Simulatore contabilità
 *
 * @package    mod_mtcontabilita
 * @copyright  2026 Mediatouch 2000 Srl <https://www.mediatouch.it>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @author     Marco Cappuccio <m.cappuccio@mediatouch.it>
 */

defined('MOODLE_INTERNAL') || die();

if (empty($currenttab)) {
    print_error('cannotcallscript');
}

$row = [];

$params = ['id' => $cmid];
$url = new moodle_url('/mod/mtcontabilita/question2/init.php', $params);
$row[] = new tabobject('tab', $url, get_string('init', 'mod_mtcontabilita'));

$params = ['id' => $cmid, 'sez' => 6, 'pt' => 1];
$url = new moodle_url('/mod/mtcontabilita/question2/initsummary.php', $params);
$row[] = new tabobject('tab6', $url, get_string('init6', 'mod_mtcontabilita'));

$params = ['id' => $cmid, 'sez' => 7, 'pt' => 2];
$url = new moodle_url('/mod/mtcontabilita/question2/initsummary.php', $params);
$row[] = new tabobject('tab7', $url, get_string('init7', 'mod_mtcontabilita'));

echo $OUTPUT->tabtree($row, $currenttab);
